> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chift.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# Get invoices (PMS)

> Returns a list of the invoices



## OpenAPI

````yaml get /consumers/{consumer_id}/pms/invoices
openapi: 3.1.0
info:
  title: Chift API
  description: >-
    The Chift API is a universal API giving you access to financial data from
    the software of your clients. It helps software companies to offer native
    integrations to their clients without the effort needed to maintain those
    native integrations. By using the APIs (Accounting, POS, eCommerce) of
    Chift, you connect once and allow your clients to use their software
    packages.
  version: 1.0.0
servers:
  - url: https://api.chift.eu
    description: Chift
security:
  - bearerAuth: []
paths:
  /consumers/{consumer_id}/pms/invoices:
    get:
      tags:
        - Property Management System
        - Invoices
      summary: Get invoices (PMS)
      description: Returns a list of the invoices
      operationId: pms_get_invoices
      parameters:
        - name: consumer_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Consumer Id
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            default: 1
            title: Page
          description: Page number
        - name: size
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 50
            title: Size
          description: Page size
        - name: date_from
          in: query
          required: true
          schema:
            type: string
            format: date
            title: Date From
        - name: date_to
          in: query
          required: true
          schema:
            type: string
            format: date
            title: Date To
        - name: location_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Location Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ChiftPage_PMSInvoiceFullItem_'
        '400':
          content:
            application/json:
              example:
                message: Error while trying to perform your request
                status: error
              schema:
                $ref: '#/components/schemas/ChiftError'
          description: Bad Request
        '405':
          content:
            application/json:
              example:
                message: >-
                  The resource {Method} - {Resource} is not supported by
                  {ConnectorName}
                status: error
              schema:
                $ref: '#/components/schemas/ChiftError'
          description: Method Not Allowed
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        '502':
          content:
            application/json:
              example:
                message: Error while trying to authenticate to {ConnectorName}
                status: error
              schema:
                $ref: '#/components/schemas/ChiftError'
          description: Bad Gateway
      security:
        - mcp_auth:
            - pms
            - pms.read
            - pms.invoices
            - pms.invoices.read
components:
  schemas:
    ChiftPage_PMSInvoiceFullItem_:
      properties:
        items:
          items:
            $ref: '#/components/schemas/PMSInvoiceFullItem'
          type: array
          title: Items
        total:
          type: integer
          minimum: 0
          title: Total
        page:
          type: integer
          minimum: 1
          title: Page
        size:
          type: integer
          minimum: 1
          title: Size
      type: object
      required:
        - items
        - total
        - page
        - size
      title: ChiftPage[PMSInvoiceFullItem]
    ChiftError:
      properties:
        message:
          type: string
          title: Message
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
          default: error
        detail:
          anyOf:
            - type: string
            - type: 'null'
          title: Detail
          default: ''
      type: object
      required:
        - message
      title: ChiftError
    HTTPValidationError:
      title: Validation Error
      required:
        - message
      type: object
      properties:
        message:
          title: Message
          type: string
          default: Validation error
        status:
          title: Status
          type: string
          default: error
        detail:
          title: Detail
          type: array
          items:
            $ref: '#/components/schemas/ValidationError'
    PMSInvoiceFullItem:
      properties:
        id:
          type: string
          title: Id
          description: Technical id in Chift
        source_ref:
          $ref: '#/components/schemas/Ref'
          description: Technical id in the target software
        invoice_number:
          anyOf:
            - type: string
            - type: 'null'
          title: Invoice Number
          description: Number/sequence
          examples:
            - INV-12345
        creation_date:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Creation Date
          description: Creation date of the invoice
          examples:
            - '2023-10-01T12:00:00'
        closing_date:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Closing Date
          description: Closing date of the invoice
          examples:
            - '2023-10-10T12:00:00'
        partners:
          anyOf:
            - items:
                $ref: '#/components/schemas/InvoicePartnerItem'
              type: array
            - type: 'null'
          title: Partners
          description: List of partners related to the invoice
        items:
          items:
            $ref: '#/components/schemas/PMSOrderLineItem'
          type: array
          title: Items
          description: List of items related to the invoice
        payments:
          items:
            $ref: '#/components/schemas/PMSPaymentItem'
          type: array
          title: Payments
          description: List of payments related to the invoice
        service_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Service Id
          description: Reference to the service related to this order
        reservation:
          anyOf:
            - $ref: '#/components/schemas/ReservationItem'
            - type: 'null'
          description: Reference to the reservation related to this order
        tax_amount:
          type: number
          title: Tax Amount
          description: Taxes amount
          examples:
            - 21
        untaxed_amount:
          type: number
          title: Untaxed Amount
          description: Untaxed amount
          examples:
            - 100
        total:
          type: number
          title: Total
          description: Total amount incl. taxes
          examples:
            - 121
      type: object
      required:
        - id
        - source_ref
        - invoice_number
        - items
        - payments
        - tax_amount
        - untaxed_amount
        - total
      title: PMSInvoiceFullItem
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    Ref:
      properties:
        id:
          anyOf:
            - type: string
            - type: 'null'
          title: Id
          description: Technical id in the target software
        model:
          anyOf:
            - type: string
            - type: 'null'
          title: Model
          description: Name of the model/entity in the target software
      type: object
      title: Ref
    InvoicePartnerItem:
      properties:
        id:
          type: string
          title: Id
          description: Technical id in Chift
        source_ref:
          $ref: '#/components/schemas/Ref'
          description: Technical id in the target software
        type:
          $ref: '#/components/schemas/PartnerType-Output'
          description: Type of the partner
          examples:
            - account
        address:
          anyOf:
            - $ref: '#/components/schemas/AddressItem'
            - type: 'null'
          description: Address of the partner
        first_name:
          anyOf:
            - type: string
            - type: 'null'
          title: First Name
          description: First name of the partner. In case the partner is an individual.
          examples:
            - John
        last_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Last Name
          description: Last name of the partner. In case the partner is an individual.
          examples:
            - Doe
        company_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Company Name
          description: Company name of the partner. In case the partner is a company.
          examples:
            - Acme Corp
      type: object
      required:
        - id
        - source_ref
        - type
      title: InvoicePartnerItem
    PMSOrderLineItem:
      properties:
        id:
          type: string
          title: Id
          description: Unique identifier of the order line item
          examples:
            - '123'
        source_ref:
          $ref: '#/components/schemas/Ref'
          description: Technical id in the target software
        type:
          anyOf:
            - $ref: '#/components/schemas/POSLineItemType'
            - type: 'null'
          description: Type of the order line item
          examples:
            - product
        menu_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Menu Id
          description: Unique identifier of the menu
          examples:
            - '456'
        quantity:
          type: number
          title: Quantity
          description: Quantity of the order line item
          examples:
            - 1
        unit_price:
          type: number
          title: Unit Price
          description: Unit price (without tax) of the order line item
          examples:
            - 10
        total:
          type: number
          title: Total
          description: Total amount including tax of the order line item
          examples:
            - 11
        tax_amount:
          type: number
          title: Tax Amount
          description: Total amount of the taxes of the order line item
          examples:
            - 1
        tax_rate:
          anyOf:
            - type: number
            - type: 'null'
          title: Tax Rate
          description: Tax rate of the order line item
          examples:
            - 10
        tax_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Tax Id
          description: Unique identifier of the tax of the order line item
          examples:
            - 371ca583-d218-4900-b236-397532cf0e39
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
          description: Description of the order line item
          examples:
            - Pizza
        discounts:
          anyOf:
            - items:
                $ref: '#/components/schemas/DiscountItem'
              type: array
            - type: 'null'
          title: Discounts
          description: >-
            List of discounts of the order line item. Discounts of items are
            always part of the total discount of the order
          default: []
          examples:
            - []
        product_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Product Id
          description: Reference to the product related to this item
          examples:
            - '789'
        accounting_category_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Accounting Category Id
          description: >-
            Sometimes used by a POS to give a specific accounting category to an
            order item
          examples:
            - '123'
      type: object
      required:
        - id
        - source_ref
        - quantity
        - unit_price
        - total
        - tax_amount
      title: PMSOrderLineItem
    PMSPaymentItem:
      properties:
        id:
          anyOf:
            - type: string
            - type: 'null'
          title: Id
          description: Unique identifier of the payment
          examples:
            - payment-123
        source_ref:
          $ref: '#/components/schemas/Ref'
          description: Technical id in the target software
        payment_method_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Payment Method Id
          description: Unique identifier of the payment method used for the payment
          examples:
            - payment-method-123
        payment_method_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Payment Method Name
          description: Chift's name of the payment method used for the payment
          examples:
            - Cash
        total:
          type: number
          title: Total
          description: Total amount of the payment
          examples:
            - 11
        tip:
          anyOf:
            - type: number
            - type: 'null'
          title: Tip
          description: >-
            Total amount of the tips of the payment. Tips are not part of the
            total of the payment
          default: '0'
          examples:
            - 1
        status:
          anyOf:
            - $ref: '#/components/schemas/POSPaymentStatus'
            - type: 'null'
          description: Status of the payment
          default: Unknown
          examples:
            - Completed
        currency:
          anyOf:
            - type: string
            - type: 'null'
          title: Currency
          description: Currency of the payment
          examples:
            - EUR
        date:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Date
          description: Date of the payment
          examples:
            - '2025-01-01T00:00:00Z'
        invoice_ref:
          anyOf:
            - type: string
            - type: 'null'
          title: Invoice Ref
          description: Reference of the invoice linked to the payment
          examples:
            - invoice-123
        partner_id:
          anyOf:
            - $ref: '#/components/schemas/ChiftId'
            - type: 'null'
          description: Reference to the customer related to this payment
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
          description: Description of the payment
          examples:
            - Payment for invoice INV-12345
      type: object
      required:
        - source_ref
        - total
      title: PMSPaymentItem
    ReservationItem:
      properties:
        id:
          type: string
          title: Id
          description: Technical id in Chift
        source_ref:
          $ref: '#/components/schemas/Ref'
          description: Technical id in the target software
        start_date:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Start Date
          description: Start date of the reservation
          examples:
            - '2024-10-01T12:00:00'
        end_date:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: End Date
          description: End date of the reservation
          examples:
            - '2024-10-10T12:00:00'
        creation_date:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Creation Date
          description: Creation date of the reservation
          examples:
            - '2024-09-25T12:00:00'
        resource_id:
          anyOf:
            - $ref: '#/components/schemas/ChiftId'
            - type: 'null'
          description: Unique reference to the resource related to the reservation
        resource_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Resource Name
          description: Name of the resource related to the reservation
          examples:
            - Room 101
        resource_identifier:
          anyOf:
            - type: string
            - type: 'null'
          title: Resource Identifier
          description: Identifier of the resource related to the reservation
          examples:
            - R101
      type: object
      required:
        - id
        - source_ref
      title: ReservationItem
    PartnerType-Output:
      type: string
      enum:
        - owner
        - account
      title: PartnerType
    AddressItem:
      properties:
        address_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Address Type
          description: Type of the address
          examples:
            - home
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
          description: Name given to the address (e.g. 'home')
          examples:
            - Home
        street:
          anyOf:
            - type: string
            - type: 'null'
          title: Street
          description: Street name
          examples:
            - Main Street
        number:
          anyOf:
            - type: string
            - type: 'null'
          title: Number
          description: Number of the address
          examples:
            - '123'
        box:
          anyOf:
            - type: string
            - type: 'null'
          title: Box
          description: Box of the address
          examples:
            - A
        city:
          anyOf:
            - type: string
            - type: 'null'
          title: City
          description: City name
          examples:
            - Paris
        postal_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Postal Code
          description: Postal code of the address
          examples:
            - '75000'
        country:
          anyOf:
            - type: string
            - type: 'null'
          title: Country
          description: 'Country, format: ISO 3166-1 codes.'
          examples:
            - FR
      type: object
      title: AddressItem
    POSLineItemType:
      type: string
      enum:
        - menu
        - product
        - service
        - general_discount
      title: POSLineItemType
    DiscountItem:
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
          description: Name of the discount
          examples:
            - Percentage discount
        total:
          type: number
          title: Total
          description: Total amount of the discount
          examples:
            - 10
        type:
          $ref: '#/components/schemas/DiscountType'
          description: Type of the discount
          default: UNKNOWN
          examples:
            - offered
      type: object
      required:
        - total
      title: DiscountItem
    POSPaymentStatus:
      type: string
      enum:
        - Pending
        - Completed
        - Canceled
        - Failed
        - Unknown
        - Authorised
      title: POSPaymentStatus
    ChiftId:
      properties:
        id:
          type: string
          title: Id
          description: Technical id in Chift
        source_ref:
          $ref: '#/components/schemas/Ref'
          description: Technical id in the target software
      type: object
      required:
        - id
        - source_ref
      title: ChiftId
    DiscountType:
      type: string
      enum:
        - OFFERED
        - UNKNOWN
        - LOSS
      title: DiscountType
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        This access token needs to be included in each of your request to the
        Chift API.

````